#include <stdio.h>

int main() {
    int n, l;
    scanf("%d %d", &n, &l);

    int s;
    for (int i = 1; i <= n; i++) {
        scanf("%d", &s);
        if (s <= l) {
            printf("%d\n", i);
            return 0;
        }
    }

    printf("-1\n");
    return 0;
}